=== modified file 'baz2bzr'
--- baz2bzr	2005-05-11 13:26:21 +0000
+++ baz2bzr	2005-05-13 19:52:35 +0000
@@ -30,6 +30,7 @@
 import shutil
 import bzrlib
 import sys
+import time
 from progress import *
 
 def add_id(files, id=None):
@@ -224,7 +225,10 @@
             os.rename(new, old)
             branch = bzrlib.Branch(revdir)
         branch.set_inventory(baz_inv)
-        branch.commit(log.summary)
+        timestamp = time.mktime(log.date)
+            
+        branch.commit(log.summary, verbose=False, timestamp=timestamp, 
+                      committer=log.creator)
     yield Progress("revisions", len(ancestors), len(ancestors))
     unlink_unversioned(branch, revdir)
     os.rename(revdir, output_dir)   
@@ -240,7 +244,7 @@
 def get_revision(revdir, revision):
     revision.get(revdir)
     tree = pybaz.tree_root(revdir)
-    log = tree.iter_logs(reverse=True).next()
+    log = tree.iter_logs(version=revision.version, reverse=True).next()
     try:
         return bzr_inventory_data(tree), log 
     except BadFileKind, e:

